<template>
  <div>
    <!-- <LoadingComponent v-if="loadingFullPage"></LoadingComponent> -->
    <!-- <div class="fheight" v-else> -->
    <Discount />
    <!-- </div> -->
  </div>
</template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";

@Component({
  layout: "admin",
  middleware: "authenticated",
  components: {
    Discount: () => import("@/components/Admin/Discount/index.vue"),
    LoadingComponent: () => import("@/components/Utils/Loading/index.vue"),
  },
})
export default class AdminDiscountPage extends Vue {
  get loadingFullPage() {
    return this.$store.state.adminProduct.loadingFullPage;
  }
}
</script>

<style></style>
